summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images13
1 files changed, 9 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index a17d4bc17d8..aacf2c54b63 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -136,9 +136,9 @@ MAKEINST ()
# Make the tar files: the sources, the texmf trees, the binaries, the
# minor "extra" files. Each should unpack into its directory name. We
# use the GNU tar --transform option to avoid copying the whole
-# hierarchy to temp directory. This auxiliary function takes that
-# directory name as its first argument, and the files to archive as the
-# rest.
+# hierarchy to a temp directory. This auxiliary function takes that
+# temp directory name as its first argument, and the files to archive as
+# the rest.
#
do_tar ()
{
@@ -182,7 +182,7 @@ MAKETAR ()
fi
if $tar_source_only || $tar_all; then
- cd $master/../Build/source || exit
+ cd $master/../Build/source || exit 1
do_tar $NAME-$D-source *
$tar_source_only && return
fi
@@ -194,6 +194,11 @@ MAKETAR ()
cd $master || exit 1
do_tar $NAME-$D-texmf texmf*
+
+ # one more unusual case: the development sources, which we record in
+ # the 00texlive.image (fake) package; see its .tlpsrc.
+ cd $master || exit 1
+ do_tar $NAME-$D-devsource `tlpfiles 00texlive.image`
}